import { XAxisStrategy, YAxisStrategy } from './axis.service';
export class Axis {
    constructor() {
        this.dimension = 'x';
        this.show = true;
        this.ticks = true;
    }
    componentDidLoad() {
        this.service = (this.dimension === 'x') ? new XAxisStrategy(this.anjXAxisDidLoad) : new YAxisStrategy(this.anjYAxisDidLoad);
        const axisConfig = {
            showAxis: this.show,
            showTicks: this.ticks,
            labelType: this.type || this.service.fallBackType,
            formattingOptions: {
                locale: this.locale || 'en-US',
                language: this.language || 'en',
                currency: this.currency || 'USD'
            }
        };
        this.service.emit(axisConfig);
    }
    async init(svg, dims, data, axisConfigs) {
        return Promise.resolve(this.service.addAxis(svg, dims, data, axisConfigs));
    }
    static get is() { return "anj-axis"; }
    static get properties() { return {
        "currency": {
            "type": String,
            "attr": "currency"
        },
        "dimension": {
            "type": String,
            "attr": "dimension",
            "reflectToAttr": true
        },
        "element": {
            "elementRef": true
        },
        "init": {
            "method": true
        },
        "language": {
            "type": String,
            "attr": "language"
        },
        "locale": {
            "type": String,
            "attr": "locale"
        },
        "show": {
            "type": Boolean,
            "attr": "show"
        },
        "ticks": {
            "type": Boolean,
            "attr": "ticks"
        },
        "type": {
            "type": String,
            "attr": "type"
        }
    }; }
    static get events() { return [{
            "name": "anjYAxisDidLoad",
            "method": "anjYAxisDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }, {
            "name": "anjXAxisDidLoad",
            "method": "anjXAxisDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
