import { ChartService } from '../../services/chart.service';
export class Line {
    componentDidLoad() {
        this.anjLineDidLoad.emit();
    }
    async init(svg, x, y, data, index, dims, multiSeries) {
        this.color = this.color || ChartService.colors[index || 0];
        const line = ChartService.addLine(svg, x, y, data, this.color);
        if (multiSeries) {
            ChartService.addScrubbers(svg, x, data, dims, index);
        }
        else {
            ChartService.addArea(svg, line, y, data, this.color);
        }
        ChartService.addPoints(svg, x, y, data, this.color, index);
        return Promise.resolve(this.color);
    }
    static get is() { return "anj-line"; }
    static get properties() { return {
        "color": {
            "type": String,
            "attr": "color",
            "mutable": true
        },
        "dataIndex": {
            "type": Number,
            "attr": "data-index"
        },
        "element": {
            "elementRef": true
        },
        "init": {
            "method": true
        },
        "name": {
            "type": String,
            "attr": "name"
        },
        "netNegative": {
            "type": Boolean,
            "attr": "net-negative"
        }
    }; }
    static get events() { return [{
            "name": "anjLineDidLoad",
            "method": "anjLineDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
