import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { CoordinateData } from '../../interfaces/CoordinateData';
export declare class LineChart {
    private activeIndex;
    private axisConfigs;
    private chartSVG;
    private creationTimer;
    private lines;
    private xAxisElement;
    private yAxisElement;
    private popover;
    private popoverTimer;
    private seriesMeta;
    private service;
    private static creationDebounceLength;
    private static popoverDebounceLength;
    chartContainer: HTMLElement;
    protected dataSource: CoordinateData[];
    multiSeries: boolean;
    dataSourceHandler(newValue: CoordinateData[], oldValue: CoordinateData[]): void;
    anjHover: EventEmitter;
    componentWillLoad(): void;
    componentDidLoad(): void;
    onLinesLoaded(): Promise<void>;
    onXAxisLoaded({ detail }: {
        detail: any;
    }): Promise<void>;
    onYAxisLoaded({ detail }: {
        detail: any;
    }): Promise<void>;
    private anjEndHoverHandler;
    private anjHoverHandler;
    addEvents(svg: any, chartOverlay: any, x: any, data: any): any;
    appendSVG(svg: any): void;
    private debounceCreation;
    display(target: HTMLElement): Promise<void>;
    create(): Promise<any>;
    private getDefaultXAxisConfig;
    private getDefaultYAxisConfig;
    getDims(): {
        height: number;
        width: number;
        margin: {
            top: number;
            right: number;
            bottom: number;
            left: number;
        };
    };
    private handleDataSource;
    private hydrateLines;
    private hydrateXAxis;
    private hydrateYAxis;
    private loadLines;
    private loadXAxis;
    private loadYAxis;
    hostData(): {
        class: {
            'anj-multi': boolean;
            'anj-single': boolean;
        };
    };
    render(): JSX.Element[];
}
