import { CoordinateData } from '../../interfaces/CoordinateData';
import { SeriesStyle } from '../../interfaces/SeriesStyle';
export declare abstract class LineChartService {
    abstract flatten(data: CoordinateData[] | CoordinateData[][]): CoordinateData[];
    abstract getPopoverEl(svg: any, index: number): HTMLElement;
    abstract getPopoverPlacement(): string;
    abstract getSeriesStyle(): SeriesStyle;
    abstract getTargetingData(data: CoordinateData[] | CoordinateData[][]): CoordinateData[];
    abstract isMultiSeries(): boolean;
}
export declare class SingleLineSeries implements LineChartService {
    flatten(data: CoordinateData[]): CoordinateData[];
    getPopoverEl(svg: any, index: number): HTMLElement;
    getPopoverPlacement(): string;
    getSeriesStyle(): SeriesStyle;
    getTargetingData(data: CoordinateData[]): CoordinateData[];
    isMultiSeries(): boolean;
}
export declare class MultiLineSeries implements LineChartService {
    flatten(data: CoordinateData[][]): CoordinateData[];
    getPopoverEl(svg: any, index: number): HTMLElement;
    getPopoverPlacement(): string;
    getSeriesStyle(): SeriesStyle;
    getTargetingData(data: CoordinateData[][]): CoordinateData[];
    isMultiSeries(): boolean;
}
