import { Selection } from '../d3-bundle';
import { Area, Line } from 'd3-shape';
import { CoordinateData } from '../interfaces/CoordinateData';
import { ScaleLinear } from 'd3-scale';
import { Dims } from '../interfaces/Dims';
import { AxisConfigs } from '../interfaces/AxisConfigs';
export declare class ChartService {
    static colors: string[];
    protected static animationLength: number;
    protected static focusLength: number;
    private static halfDayMs;
    private static halfWeekMs;
    private static halfMonthMs;
    private static halfYearMs;
    private static yPad;
    static addArea(svg: any, line: any, y: any, data: CoordinateData[], color: string): Area<any>;
    static addLine(svg: any, x: any, y: any, data: CoordinateData[], color: string): Line<any>;
    static addOverlay(svg: any, dims: Dims): SVGRectElement;
    static addPoints(svg: any, x: any, y: any, data: CoordinateData[], color: string, index: any): void;
    static addRevealAnimation(svg: any, dims: Dims, axisConfigs: AxisConfigs): SVGRectElement;
    static addScrubbers(svg: any, x: any, data: CoordinateData[], dims: any, index: any): void;
    static addXAxis(svg: any, dims: any, data: any, axisConfigs: AxisConfigs): any;
    static addYAxis(svg: any, dims: any, data: CoordinateData[], axisConfigs: AxisConfigs): ScaleLinear<number, number>;
    static calculateInterval(data: CoordinateData[]): any;
    static createSVG(dims: Dims): Selection<SVGGElement, any, SVGElement, any>;
    static determineDateRange(data: CoordinateData[]): Date[];
    static domainPadding(data: CoordinateData[]): number;
    static getIndexOfClosestPoint(x: any, data: any): number;
    static hideFocus(svg: any): void;
    static showFocus(svg: any, activeIndex: any): void;
    private static calculateLeftPad;
    private static calculateTicks;
}
